unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Messages, LMessages, StdCtrls;


type

  { TMainForm }

  TMainForm = class(TForm)
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    procedure WMDropFiles(var Message: TMessage); message LM_DROPFILES;
  end;
  
var
  MainForm: TMainForm;

implementation

uses drop;

procedure TMainForm.WMDropFiles(var Message: TMessage);
var
  Strings: TStringList;
  i: Integer;
begin
  Strings := DroppedFiles(Message);
  try
//    for i := 0 to Strings.Count-1 do LoadFile(Strings[i]);  //Fuer mehrere Dateien
  if Strings.Count>0 then Memo1.Lines.LoadFromFile(Strings[0]);
  finally
    Strings.Free;
  end;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
   DragAcceptFiles(Handle, True);
end;

procedure TMainForm.FormDestroy(Sender: TObject);
begin
  if HandleAllocated then DragAcceptFiles(Handle, False);
end;

initialization
  {$I unit1.lrs}

end.

